Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 16 Apr 2023 07:48:19 +0000 (UTC)

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi it’s been over a week and I still haven’t received my delivery. I paid and ordered in the store. No one has contacted me. I call no one answers, I chat on website to customer service no reply, I watsapp but no response. This has been ridiculous. I just want to know when my order will be delivered? But it seems impossible to get in touch with the store. My invoice number is : 21122122335120230404 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6070679